TIBCO FTL®

Typedefs | Functions
inbox.h File Reference

Inbox objects address inbox subscribers. More...

## Typedefs
typedef struct __tibInboxId * | tibInbox
| Inbox object type. More...

## Functions
TIB_API tibInbox | tibInbox_Copy (tibEx e, tibInbox inbox)
| Copy an inbox object. More...
TIB_API void | tibInbox_Destroy (tibEx e, tibInbox inbox)
| Destroy an inbox object. More...

## Detailed Description

Inbox objects address inbox subscribers.

Programs can insert inbox objects into message fields.

This file defines inbox objects and calls to copy and destroy them.

See also
  For more calls that use inbox objects, see sub.h and msg.h.

## Typedef Documentation

## ◆ tibInbox

typedef struct __tibInboxId* tibInbox

Inbox object type.

## Function Documentation

## ◆ tibInbox_Copy()

TIB_API tibInbox tibInbox_Copy | ( | tibEx | e,
|  | tibInbox | inbox
| ) |  |

Copy an inbox object.

When a callback gets an inbox from a field of an inbound message, the message owns that inbox object. FTL implicitly destroys that embedded inbox object when the callback returns. Programs can use this call to copy the inbox object.

Similarly, when a program gets an inbox from a subscriber object, the subscriber owns that inbox. FTL implicitly destroys that embedded inbox object when the program closes the subscriber. Programs can use this call to copy the inbox object.

Programs must explicitly destroy copies (with tibInbox_Destroy).

Parameters

  e | The exception object captures information about failures.
  inbox | The call copies this source inbox.

Returns
  a copy of the source inbox

See also
  tibMessage_GetInbox
  tibMessage_GetInboxByRef
  tibSubscriber_GetInbox

## ◆ tibInbox_Destroy()

TIB_API void tibInbox_Destroy | ( | tibEx | e,
|  | tibInbox | inbox
| ) |  |

Destroy an inbox object.

A program that copies an inbox object must explicitly destroy it to reclaim its resources.

Note
  tibMessage_SetInbox and tibMessage_SetInboxByRef both copy their inbox argument into a message field. After those calls return, a program may destroy the inbox without affecting the message.

Parameters

  e | The exception object captures information about failures.
  inbox | The call destroys this inbox.

Returns
  void